Name:           libctl
Version:        4.5.1
Release:        4%{?dist}
Summary:        A library for supporting flexible control files in scientific simulations

License:        GPL-2.0-or-later
URL:            https://github.com/NanoComp/libctl
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  guile-devel

%description
This is libctl, a Guile-based library for supporting flexible 
control files in scientific simulations.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%configure --enable-shared
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{?ldconfig_scriptlets}

%files
%license COPYING
%doc AUTHORS
%{_bindir}/gen-ctl-io
%{_datadir}/libctl/base/class.scm
%{_datadir}/libctl/base/ctl.scm
%{_datadir}/libctl/base/extern-funcs.scm
%{_datadir}/libctl/base/help.scm
%{_datadir}/libctl/base/include.scm
%{_datadir}/libctl/base/interaction.scm
%{_datadir}/libctl/base/io-vars.scm
%{_datadir}/libctl/base/math-utils.scm
%{_datadir}/libctl/base/matrix3x3.scm
%{_datadir}/libctl/base/simplex.scm
%{_datadir}/libctl/base/utils.scm
%{_datadir}/libctl/base/vector3.scm
%{_datadir}/libctl/utils/ctl-io.scm
%{_datadir}/libctl/utils/geom.scm
%{_datadir}/libctl/utils/nlopt-constants.scm
%{_mandir}/man1/gen-ctl-io.1.gz
%{_libdir}/libctlgeom.so.7.3.1
%{_libdir}/libctl.so.7.3.1
%{_libdir}/libctl.so.7
%{_libdir}/libctlgeom.so.7

%files devel
%{_includedir}/ctl-math.h
%{_includedir}/ctl.h
%{_includedir}/ctlgeom.h
%{_includedir}/ctlgeom-types.h
%{_libdir}/libctl.a
%{_libdir}/libctlgeom.a
%{_libdir}/libctl.so
%{_libdir}/libctlgeom.so
%{_datadir}/libctl/base/main.c
%{_datadir}/libctl/utils/geom.c
%{_datadir}/libctl/utils/nlopt.c

%changelog
%autochangelog
